package com.fdkankan.platform.goods.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.platform.goods.entity.CameraSpace;
import com.fdkankan.platform.order.entity.ExpansionOrder;
import com.fdkankan.platform.user.vo.ResponseCameraSpace;

import java.util.List;

/**
 * <p>
 * 相机容量表 服务类
 * </p>
 *
 * @author 
 * @since 2021-12-24
 */
public interface ICameraSpaceService extends IService<CameraSpace> {

    List<CameraSpace> getListByCameraId(Long cameraId);

    List<ResponseCameraSpace> getVoListByCameraId(Long cameraId);

    CameraSpace getByUserIdAndCameraId(Long userId, Long cameraId);

    void removeByCameraId(Long cameraId);

    CameraSpace saveByExpansionOrder(ExpansionOrder expansionOrder);

    List<CameraSpace> findExpiredList();
}
